import { z } from "zod";

export abstract class CoreSchema {
  create!: any;
  update?: any;

  getSchema(data: any) {
    if (!data) return this.create;

    return this.update ? this.update : this.create;
  }
}
